---
title: Create Content Scanning custom expressions for a zone.
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Content Scanning](https://developers.cloudflare.com/api/go/resources/content_scanning)

[Payloads](https://developers.cloudflare.com/api/go/resources/content_scanning/subresources/payloads)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Create Content Scanning custom expressions for a zone.

client.ContentScanning.Payloads.New(ctx, params) (\*SinglePage\[[PayloadNewResponse](<https://developers.cloudflare.com/api/go/resources/content_scanning#(resource)%20content_scanning.payloads%20%3E%20(model)%20PayloadNewResponse%20%3E%20(schema)>)], error)

POST/zones/{zone\_id}/content-upload-scan/payloads

Create one or more Content Scanning custom expressions, appending them to the existing list of the zone, and return the updated list. Each expression reaches content objects the scanner cannot find automatically, for example `lookup_json_string(http.request.body.raw, "file")`.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Zone WAF Write``Account WAF Write`

##### ParametersExpand Collapse

<details>

<summary>

params PayloadNewParams

</summary>

ZoneID param.Field\[string]

Path param: Defines an identifier.

maxLength32

<a href="#(resource)%20content_scanning.payloads%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20zone_id">Link to this property</a>

<details>

<summary>

Body param.Field\[\[]PayloadNewParamsBody]

Body param

</summary>

Payload string

Defines the custom content extraction expression used to reach content objects in the request.

<a href="#(resource)%20content_scanning.payloads%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20body%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20payload">Link to this property</a>

</details>

<a href="#(resource)%20content_scanning.payloads%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20body">Link to this property</a>

</details>

[Link to this property](<#(resource)%20content_scanning.payloads%20%3E%20(method)%20create%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type PayloadNewResponse struct{…}

Defines a Content Scanning custom expression.

</summary>

ID stringOptional

Defines the unique ID for this Content Scanning custom expression.

maxLength32

<a href="#(resource)%20content_scanning.payloads%20%3E%20(model)%20PayloadNewResponse%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

Payload stringOptional

Defines the custom content extraction expression used to reach content objects in the request.

<a href="#(resource)%20content_scanning.payloads%20%3E%20(model)%20PayloadNewResponse%20%3E%20(schema)%20%3E%20(property)%20payload">Link to this property</a>

</details>

[Link to this property](<#(resource)%20content_scanning.payloads%20%3E%20(model)%20PayloadNewResponse%20%3E%20(schema)>)

### Create Content Scanning custom expressions for a zone.

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/content_scanning"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  page, err := client.ContentScanning.Payloads.New(context.TODO(), content_scanning.PayloadNewParams{
    ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    Body: []content_scanning.PayloadNewParamsBody{content_scanning.PayloadNewParamsBody{
      Payload: cloudflare.F(`lookup_json_string(http.request.body.raw, "file")`),
    }},
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", page)
}
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "a350a054caa840c9becd89c3b4f0195b",
      "payload": "lookup_json_string(http.request.body.raw, \"file\")"
    }
  ],
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "a350a054caa840c9becd89c3b4f0195b",
      "payload": "lookup_json_string(http.request.body.raw, \"file\")"
    }
  ],
  "success": true
}
```